/* ■■■■■■■■■■■■■ ARMOSY-2 Example ■■■■■■■■■■■■

RTC Time Print UTFT   

Hardware: ARMOSY-2
Version HW: 2.21
Create: 22.04.2016

   ■■■■■■■■■■■■■ TERMINAL CONNECTION ■■■■■■■■■■■■
63 - IN POWER, VCC min 8V/1A!
64 - IN POWER, -"-
*/

// ■ LIBRARY
#include <UTFT.h> //Driver UTFT
#include <Wire.h> //I2C
#include "Sodaq_DS3231.h" // DS3231 RTC

// ■ DECLARATIONS
UTFT  myGLCD(ITDB24,38,39,40,41); // RS, WR, CS, REST
extern uint8_t BigFont[]; // UTFT Fonds
extern uint8_t SmallFont[]; // UTFT Fonds

// ■ DECLARATIONS RTC
char Time[14];  // Area Time 
#define RTC_ADDRESS 0x68  // ADDR RTC

// ■■■■■■■■■■■■■ SETUP ■■■■■■■■■■■■

void setup()
{

// ■ UTFT
  myGLCD.InitLCD();               // Initialization LCD              
  myGLCD.clrScr();                // Clear Screen
  myGLCD.fillScr(VGA_WHITE);      // VGA Background Transparency
  myGLCD.setColor(0, 0, 0);       // Black Fonds
  myGLCD.setBackColor(255, 255, 255); // White Background
  myGLCD.setFont(BigFont);        // Select Font 

// ■ I2C
  Wire.begin();  

// ■ RTC
  rtc.begin();

// ■ HEADER  
  myGLCD.print("ARMOSY2 - SW0010", CENTER, 10);             
  myGLCD.print("www.hwpro.cz", CENTER, 220); 
}


// ■■■■■■■■■■■■■ MAIN ■■■■■■■■■■■■

void loop()
{
  DateTime now = rtc.now(); //get the current date-time
  sprintf(Time,"%02d:%02d:%02d",now.hour(),now.minute(),now.second()); // Convert to Time
  myGLCD.print(Time, CENTER, 120);  // Print UTFT 
}

